org.apache.felix.bundlerepository.impl

## Class Referral

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.Referral

    public class Referral
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Referral()`

### Method Summary

Methods
`int` `getDepth()`
`java.lang.String` `getUrl()`
`void` `setDepth(java.lang.String depth)`
`void` `setUrl(java.lang.String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Referral

    public Referral()

### Method Detail

#### getDepth

    public int getDepth()

#### getUrl

    public java.lang.String getUrl()

#### setUrl

    public void setUrl(java.lang.String url)

#### setDepth

    public void setDepth(java.lang.String depth)